Package javax.servlet.http

# Interface HttpSessionActivationListener

All Superinterfaces:
  `EventListener`

public interface HttpSessionActivationListener extends EventListener
Objects that are bound to a session may listen to container events notifying them that sessions will be passivated and that session will be activated. A container that migrates session between VMs or persists sessions is required to notify all attributes bound to sessions implementing HttpSessionActivationListener.

Since:
  Servlet 2.3

## Method Summary

Modifier and Type
Method
Description
`void`
`sessionDidActivate(HttpSessionEvent se)`
Notification that the session has just been activated.
`void`
`sessionWillPassivate(HttpSessionEvent se)`
Notification that the session is about to be passivated.

## Method Details

### sessionWillPassivate

void sessionWillPassivate(HttpSessionEvent se)
Notification that the session is about to be passivated.

Parameters:
  `se` - Information about the session this is about to be passivated

### sessionDidActivate

void sessionDidActivate(HttpSessionEvent se)
Notification that the session has just been activated.

Parameters:
  `se` - Information about the session this has just been activated